pl_subcalls.d(1m)

NAME
pl_subcalls.d - measure Perl subroutine calls using DTrace.

SYNOPSIS
pl_subcalls.d

DESCRIPTION
This traces Perl activity from all running programs on the system which support the Perl DTrace provider. Filename and subroutine names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_subcalls.d

FIELDS

SUB Perl subroutine name

CALLS
    Subroutine calls during this sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_subcalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)